Module tdlight.api
Package it.tdlight.jni

# Class TdApi.FormattedText

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.FormattedText

Enclosing class:
  TdApi

public static final class TdApi.FormattedText extends TdApi.Object
A text with some entities.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`TdApi.TextEntity[]`
`entities`
Entities contained in the text.
`String`
`text`
The text.

## Constructor Summary

Constructors
Constructor
Description
`FormattedText()`
A text with some entities.
`FormattedText(DataInput input)`
A text with some entities.
`FormattedText(String text, TdApi.TextEntity[] entities)`
A text with some entities.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### text

public String text
The text.

### entities

public TdApi.TextEntity[] entities
Entities contained in the text. Entities can be nested, but must not mutually intersect with each other. Pre, Code and PreCode entities can't contain other entities. Bold, Italic, Underline and Strikethrough entities can contain and to be contained in all other entities. All other entities can't contain each other.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### FormattedText

public FormattedText()
A text with some entities.

### FormattedText

public FormattedText(String text, TdApi.TextEntity[] entities)
A text with some entities.

Parameters:
  `text` - String The text.
  `entities` - TextEntity[] Entities contained in the text. Entities can be nested, but must not mutually intersect with each other. Pre, Code and PreCode entities can't contain other entities. Bold, Italic, Underline and Strikethrough entities can contain and to be contained in all other entities. All other entities can't contain each other.

### FormattedText

public FormattedText(DataInput input) throws IOException
A text with some entities.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`